import { SimpleLocalIntegration } from '../../core/index.js';
import { VeluxConfigFlow } from './velux.classes.configflow.js';
import { createVeluxDiscoveryDescriptor } from './velux.discovery.js';
import type { IVeluxConfig } from './velux.types.js';
import { veluxDomain, veluxProfile } from './velux.types.js';

export class VeluxIntegration extends SimpleLocalIntegration<IVeluxConfig> {
  public readonly domain = veluxDomain;
  public readonly discoveryDescriptor = createVeluxDiscoveryDescriptor();
  public readonly configFlow = new VeluxConfigFlow();

  constructor() {
    super(veluxProfile);
  }
}

export class HomeAssistantVeluxIntegration extends VeluxIntegration {}
